<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<body>
<h2>Заголовок, не поменяется.</h2>
<p>Абзац, поменяется.</p>
<p>Абзац, поменяется.</p>
<p>Абзац, поменяется.</p>
<div style="margin: 30px 200px;"><input style="background: darkgrey; color: white; border-radius: 3px; padding: 20px;" type="submit" name="submit" value="Enter" id="button"/></div>

<script type="text/javascript">
	var button =  document.getElementById('button');
	var item = document.getElementsByTagName('p');
			button.onclick=function order_change(){
		for (var i = 0; i < item.length; i++) {
		item[i].innerHTML = i; // или +1, если нужна обычная нумерация
			}
		}

</script>
</body>
</html>